FilesystemIterator::next
FilesystemIterator::setFlags
FilesystemIterator
PHP Manual

# FilesystemIterator::rewind

(PHP 5 >= 5.3.0)

FilesystemIterator::rewind — Rewinds back to the beginning

### Description

public void FilesystemIterator::rewind ( void )

Rewinds the directory back to the start.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 FilesystemIterator::rewind() example

`<?php
$iterator = new FilesystemIterator(dirname(__FILE__), FilesystemIterator::KEY_AS_FILENAME);
echo $iterator->key() . "\n";
$iterator->next();
echo $iterator->key() . "\n";
$iterator->rewind();
echo $iterator->key() . "\n";
?>`

The above example will output something similar to:

    apple.jpg
    banana.jpg
    apple.jpg

### See Also

- DirectoryIterator::rewind() - Rewind the DirectoryIterator back to the start

FilesystemIterator::next
FilesystemIterator::setFlags
FilesystemIterator
PHP Manual